# class Devise::Generators::DeviseGenerator

### Public Instance Methods

add_devise_routes() click to toggle source

    # File lib/generators/devise/devise_generator.rb, line 14
    def add_devise_routes
      devise_route  = "devise_for :#{plural_name}"
      devise_route << %Q(, :class_name => "#{class_name}") if class_name.include?("::")
      devise_route << %Q(, :skip => :all) unless options.routes?
      route devise_route
    end